<?php

namespace App\Classes\Modules\Companies\DataTransferObjects;

use App\Classes\General\Interfaces\DataTransferObject;

class CompanyModuleObject implements DataTransferObject
{

    /** @var string */
    private $name;

    /** @var string */
    private $reference;

    /** @var string */
    private $unity_hash_id;

    /** @var string */
    private $unity_signature;

    /** @var int */
    private $type;

    /** @var int */
    private $status;

    /**
     * CompanyModuleObject constructor.
     * @param string $name
     * @param string $reference
     * @param string $unity_hash_id
     * @param string $unity_signature
     * @param int $type
     * @param int $status
     */
    public function __construct(string $name, string $reference, string $unity_hash_id, string $unity_signature, int $type, int $status)
    {
        $this->name = $name;
        $this->reference = $reference;
        $this->unity_hash_id = $unity_hash_id;
        $this->unity_signature = $unity_signature;
        $this->type = $type;
        $this->status = $status;
    }

    /**
     * @return string
     */
    public function getName(): string
    {
        return $this->name;
    }

    /**
     * @return string
     */
    public function getReference(): string
    {
        return $this->reference;
    }

    /**
     * @return string
     */
    public function getUnityHashId(): string
    {
        return $this->unity_hash_id;
    }

    /**
     * @return string
     */
    public function getUnitySignature(): string
    {
        return $this->unity_signature;
    }

    /**
     * @return int
     */
    public function getType(): int
    {
        return $this->type;
    }

    /**
     * @return int
     */
    public function getStatus(): int
    {
        return $this->status;
    }


}
